Recommended update for systemtap

SUSE Recommended Update: Recommended update for systemtap
Announcement ID: SUSE-RU-2019:0978-1
Rating: moderate
References: #1125231
Affected Products:
  • SUSE Linux Enterprise Module for Development Tools 15

An update that has one recommended fix can now be installed.

Description:

This update for systemtap fixes the following issues:

  • Use %tmpfiles_create macro in -server package: consider the right usage in transactional update cases.
  • BuildRequire pkgconfig(systemd) instead of systemd: allow to use systemd-mini during build (bsc#1125231)

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Module for Development Tools 15:
    zypper in -t patch SUSE-SLE-Module-Development-Tools-15-2019-978=1

Package List:

  • SUSE Linux Enterprise Module for Development Tools 15 (aarch64 ppc64le s390x x86_64):
    • systemtap-3.2-7.6.1
    • systemtap-debuginfo-3.2-7.6.1
    • systemtap-debugsource-3.2-7.6.1
    • systemtap-headers-3.2-7.6.1
    • systemtap-runtime-3.2-7.6.1
    • systemtap-runtime-debuginfo-3.2-7.6.1
    • systemtap-sdt-devel-3.2-7.6.1
    • systemtap-server-3.2-7.6.1
    • systemtap-server-debuginfo-3.2-7.6.1
  • SUSE Linux Enterprise Module for Development Tools 15 (noarch):
    • systemtap-docs-3.2-7.6.1

References: